/*
 * @Author: your name
 * @Date: 2022-02-21 09:15:17
 * @LastEditTime: 2022-02-23 15:11:47
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \CABaggageData\src\api\login.js
 */
import request from '@/utils/request-new'

//获取动态验证码
export function GetCheckCode (params) {
  return request({
    url: '/foxlibc/getVCode',
    method: 'post',
    data: params
  })
}

//权限-列设置初始化
export function initColumnSet (params) {
  return request({
    url: '/foxlibc/initColumnSet',
    method: 'post',
    data: params
  })
}

//登录
export function login (params) {
  return request({
    url: '/foxlibc/sign-in',
    method: 'post',
    data: params
  })
}

//登出
export function loginUp (params) {
  return request({
    url: '/foxlibc/sign-out',
    method: 'post',
    data: params
  })
}

//忘记密码
export function changePassword (params) {
  return request({
    url: '/foxlibc/reset-passwd',
    method: 'post',
    data: params
  })
}

//忘记密码
export function changeSecpasswd (params) {
  return request({
    url: '/foxlibc/reset-secpasswd',
    method: 'post',
    data: params
  })
}

//权限获取
export function permission (params) {
  return request({
    url: '/api/fs4a/GetAuth/v1',
    method: 'post',
    data: params
  })
}

//token
export function gettoken (params) {
  return request({
    url: '/foxlibc/getToken ',
    method: 'post',
    data: params,
    istoken: true
  })
}

//获取系统基础设置
export function GetSystemSet (params) {
  return request({
    url: '/foxlibc/system/setting',
    method: 'post',
    data: params,
    proxy: true
  })
}

// 密码校验
export function CheckUser (params) {
  return request({
    url: '/foxlibc/sec-sign-in',
    method: 'post',
    data: params,
    istoken: true
  })
}
